#ifndef I2C_SW_H
#define I2C_SW_H
//----------------------------------------------------------------------------------------
// I2C / IIC per Software
//--------------------------------------------------------------------------------------
#include <avr/io.h>
#include <compat/deprecated.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include "Font.h"

//--------------------------------------------------------------------------------------
#define ack  1
#define nack 0

//--------------------------------------------------------------------------------------
void I2C_Init(void);
void I2C_Start(void); 
void I2C_Stop(void); 
BYTE I2C_GetAck(void); 
BYTE I2C_WriteByte(BYTE);
BYTE I2C_ReadByte(BYTE);

//--------------------------------------------------------------------------------------
#endif
